import javax.microedition.rms.*;

abstract class Scoring
{
	static String name="score";

	static int readTopScore()
	{
		try
		{
			RecordStore rs=RecordStore.openRecordStore(name, false);
			byte [] rec=rs.getRecord(1);
			rs.closeRecordStore();
			return
				(rec[0] & 0xff) << 24 |
				(rec[1] & 0xff) << 16 |
				(rec[2] & 0xff) << 8 |
				(rec[3] & 0xff);
		}
		catch(RecordStoreException rse)
		{
			return 0;
		}
	}

	static boolean writeTopScore()
	{
		int score=Game.Ochki;
		if (score<=readTopScore()) return false;
		RecordStore rs;
		byte [] rec=
		{
			(byte) ((score >> 24) & 0xff),
			(byte) ((score >> 16) & 0xff),
			(byte) ((score >> 8) & 0xff),
			(byte) ((score >> 0) & 0xff)
		};
		try
		{
			rs=RecordStore.openRecordStore(name, false);
			rs.setRecord(1, rec, 0, rec.length);
			rs.closeRecordStore();
		}
		catch(RecordStoreException rse)
		{
			try
			{
				rs=RecordStore.openRecordStore(name, true);
				rs.addRecord(rec, 0, rec.length);
				rs.closeRecordStore();
			}
			catch(RecordStoreException rse2)
			{
				return false;
			}
		}
		return true;
	}
}